/*弹出定位*/
var scT='';
function scTop(){
    var top=$(window).scrollTop()
    return {top:top}
}
function bodyStyle(){
    scT = scTop().top;
    $('body').css({position:'fixed',top:-scT,left:0,right:0});
}
function bodyRemovStyle(){
    $('body').removeAttr('style');
    $('html,body').scrollTop(scT);
    
}

/*单选美化label,隐藏radio靠label点击*/
$('.checked label').click(function(){
      if($(this).find('input').is(':checked')){
          $(this).addClass('on').siblings().removeClass('on'); 
      }
});
/*复选美化label,隐藏checkbox靠label点击*/
$('.checkbox label').click(function(){
        if ($(this).find('input').is(':checked')) {
            $(this).find('input').attr("checked",true).prop("checked","checked").parent().siblings().removeClass('on').find('input').removeAttr("checked");
            $(this).parent().addClass('on')
        } else {
            $(this).parent().removeClass('on')
        }
    });
/*城市选择*/
$(".cs").click(function (e) {
     SelCity(this, e);
});
/*自定义SELECT*/
$('.select select').change(function(){
        var text = $(this).children('option:selected').text(), val = $(this).children('option:selected').val();
        $(this).prev().find('span').text(text)
})
$('input[name="dfmode"]').change(function(){
	var n=$(this).val();
	if(n==1 || n==2){
		$('.dfzhi').addClass('dis_flex');
		$('.dfzhi'+n).addClass('dis_flex');
		$('.dfzhi'+(n==1?2:1)).removeClass('dis_flex').addClass('none');
	}else{
		if($('.dfzhi').hasClass('dis_flex')) $('.dfzhi').addClass('none').removeClass('dis_flex');
	}
});
function checkpjkj(){
	var birth=$('input[name="gl_birthday"]').val();
	var gyear=birth.split('-');
	var ct=$('input[name="area"]').val();
	var df=$('input[name="dfmode"]:checked').val();
	console.log(df)
	var flag=true;
	if(birth==''){
		point('请选择出生时间');
		flag=false;
	}
	if(gyear[0]<$('#birthyear').val()){
		point('起卦时间不能小于出生时间');
		flag=false;
	}
	else if($('input[name="zty"]').is(':checked') && ct==''){
		point('真太阳时需要选择出生地');
		flag=false;
	}
	else if(df=='2' && $('#nums').val()==''){
			point('选择地分报数需填写数字');
			flag=false;
	}
	if(flag==true){
		$('#pjkjform').submit();
	}
}
function point(a){
        var point = $('<div class="point">'+a+'</div>');
        $("body").append(point);
        var left = ($(window).width()-point.outerWidth())/2,
            top = ($(window).height()-point.outerHeight())/2;
        point.css({left:left,top:top}).addClass('show');
        setTimeout(function(){
            point.removeClass('show');
            setTimeout(function(){
                point.remove()
            },200)
        },2000)
 }